# mail/p5-Mail-IMAPClient - The NetBSD Packages Collection

Perl5 module for talking to RFC-2060 IMAP servers

      Mail::IMAPClient module provides perl routines that simplify a
    sockets connection to and an IMAP conversation with an IMAP server.

      This module was developed on Solaris 2.5.1 and 2.6 against Netscape
    IMAP servers versions 3.6 and 4.1.  However, since it is written in
    perl and designed for flexibility, it should run on any OS with a
    TCP/IP stack and a version of perl that includes Socket.pm and
    IO::Socket.pm. It also should be able to talk to any IMAP server,
    even those that have, um, proprietary features (assuming that the
    programmer knows what those features are).

      To date, the test suite runs successfully with the following IMAP
    servers:

    -Netscape Messenger v3.6
    -Netscape Messenger v4.1
    -UW-IMAP (I think it was 4.5)
    -Cyrus IMAP4 v1.5.19
    -Mirapoint Message Server Appliances (OS versions 1.6.1 and 1.7.1)

- Source version: `p5-Mail-IMAPClient-3.43nb4`
- Maintainer: pkgsrc-users AT NetBSD.org
- Website: https://metacpan.org/release/Mail-IMAPClient
- License: gnu-gpl-v2
- Package history: cvs, hg, git

## Build dependencies

pkgtools/mktools pkgtools/cwrappers

## Runtime dependencies

devel/p5-Parse-RecDescent devel/p5-Scalar-List-Utils security/p5-Authen-SASL security/p5-Digest-HMAC devel/p5-Test-Pod security/p5-IO-Socket-SSL lang/perl5 lang/perl5

## Binary packages

OS | Architecture | Version
--- | --- | ---
NetBSD 10.0 | aarch64 | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 10.0 | aarch64 | p5-Mail-IMAPClient-3.43nb3.tgz
NetBSD 10.0 | aarch64eb | p5-Mail-IMAPClient-3.43nb3.tgz
NetBSD 10.0 | alpha | p5-Mail-IMAPClient-3.43nb2.tgz
NetBSD 10.0 | alpha | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 10.0 | earmv4 | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 10.0 | earmv6hf | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 10.0 | earmv6hf | p5-Mail-IMAPClient-3.43nb3.tgz
NetBSD 10.0 | earmv7hf | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 10.0 | earmv7hf | p5-Mail-IMAPClient-3.43nb3.tgz
NetBSD 10.0 | i386 | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 10.0 | i386 | p5-Mail-IMAPClient-3.43nb3.tgz
NetBSD 10.0 | m68k | p5-Mail-IMAPClient-3.43nb3.tgz
NetBSD 10.0 | powerpc | p5-Mail-IMAPClient-3.43nb3.tgz
NetBSD 10.0 | powerpc | p5-Mail-IMAPClient-3.43nb3.tgz
NetBSD 10.0 | powerpc | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 10.0 | sh3el | p5-Mail-IMAPClient-3.43nb3.tgz
NetBSD 10.0 | sparc64 | p5-Mail-IMAPClient-3.43nb2.tgz
NetBSD 10.0 | sparc64 | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 10.0 | vax | p5-Mail-IMAPClient-3.43nb3.tgz
NetBSD 10.0 | vax | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 10.0 | x86_64 | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 10.0 | x86_64 | p5-Mail-IMAPClient-3.43nb3.tgz
NetBSD 11.0 | aarch64 | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 11.0 | aarch64eb | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 11.0 | earmv4 | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 11.0 | earmv6hf | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 11.0 | earmv7hf | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 11.0 | i386 | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 11.0 | m68k | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 11.0 | riscv64 | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 11.0 | sh3el | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 11.0 | vax | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 11.0 | x86_64 | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 9.0 | aarch64 | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 9.0 | aarch64 | p5-Mail-IMAPClient-3.43nb3.tgz
NetBSD 9.0 | earmv6hf | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 9.0 | earmv6hf | p5-Mail-IMAPClient-3.43nb3.tgz
NetBSD 9.0 | earmv7hf | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 9.0 | earmv7hf | p5-Mail-IMAPClient-3.43nb3.tgz
NetBSD 9.0 | i386 | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 9.0 | i386 | p5-Mail-IMAPClient-3.43nb3.tgz
NetBSD 9.0 | powerpc | p5-Mail-IMAPClient-3.43nb3.tgz
NetBSD 9.0 | x86_64 | p5-Mail-IMAPClient-3.43nb4.tgz
NetBSD 9.0 | x86_64 | p5-Mail-IMAPClient-3.43nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

## Available build options

(none)

## Known vulnerabilities

(no vulnerabilities known)

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.

Problem reports, updates or suggestions for this package should be reported with send-pr.